Index: bochs/trunk/PKGBUILD
===================================================================
--- bochs/trunk/PKGBUILD	(revision 58595)
+++ bochs/trunk/PKGBUILD	(working copy)
@@ -3,24 +3,22 @@
 # Maintainer: Kevin Piche <kevin@archlinux.org>
 
 pkgname=bochs
-pkgver=2.3.7
+pkgver=2.4.1
 pkgrel=1
 pkgdesc="A portable x86 PC emulation software package"
-arch=(i686 x86_64)
+arch=('i686' 'x86_64')
 license=('LGPL')
 url="http://bochs.sourceforge.net/"
-source=(http://downloads.sourceforge.net/sourceforge/${pkgname}/${pkgname}-${pkgver}.tar.gz 
-bochs-2.3.7-typo-fixes.patch)
-md5sums=('a2e5f922505bf16cabd36bb9d571a2c4' '7d6df4f5f7ee1d4623e7bcf385c9c6e0')
 depends=('gcc-libs' 'libxpm')
+source=(http://downloads.sourceforge.net/sourceforge/${pkgname}/${pkgname}-${pkgver}.tar.gz)
+md5sums=('c9aaf4b99c868da7c9362bd8cd29a578')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
-  patch -Np1 -i ../bochs-2.3.7-typo-fixes.patch || return 1
+  cd ${srcdir}/${pkgname}-${pkgver}
   ./configure --prefix=/usr --enable-vbe --without-wx --enable-cpu-level=6 \
         --enable-4meg-pages --enable-global-pages --enable-pae --enable-fpu \
         --enable-mmx --enable-3dnow --enable-sse --enable-sep
   make || return 1
-  make prefix=${startdir}/pkg/usr install
-  install -D -m 644 .bochsrc ${startdir}/pkg/etc/bochsrc-sample.txt
+  make install DESTDIR=${pkgdir}
+  install -D -m 644 .bochsrc ${pkgdir}/etc/bochsrc-sample.txt
 }
Index: bochs/trunk/bochs-2.3.7-typo-fixes.patch
===================================================================
--- bochs/trunk/bochs-2.3.7-typo-fixes.patch	(revision 58595)
+++ bochs/trunk/bochs-2.3.7-typo-fixes.patch	(working copy)
@@ -1,24 +0,0 @@
-diff -NaurwB bochs-2.3.7.orig/cpu/ia_opcodes.h bochs-2.3.7/cpu/ia_opcodes.h
---- bochs-2.3.7.orig/cpu/ia_opcodes.h	2008-05-30 22:35:08.000000000 +0200
-+++ bochs-2.3.7/cpu/ia_opcodes.h	2008-06-04 14:56:46.000000000 +0200
-@@ -891,7 +891,7 @@
- bx_define_opcode(BX_IA_PF2ID_PqQq, BX_CPU_C::PF2ID_PqQq)
- bx_define_opcode(BX_IA_PF2IW_PqQq, BX_CPU_C::PF2IW_PqQq)
- bx_define_opcode(BX_IA_PFACC_PqQq, BX_CPU_C::PFACC_PqQq)
--bx_define_opcode(BX_IA_PFADD_PqQq, BX_CPU_C::BX_PFADD_PqQq)
-+bx_define_opcode(BX_IA_PFADD_PqQq, BX_CPU_C::PFADD_PqQq)
- bx_define_opcode(BX_IA_PFCMPEQ_PqQq, BX_CPU_C::PFCMPEQ_PqQq)
- bx_define_opcode(BX_IA_PFCMPGE_PqQq, BX_CPU_C::PFCMPGE_PqQq)
- bx_define_opcode(BX_IA_PFCMPGT_PqQq, BX_CPU_C::PFCMPGT_PqQq)
-diff -NaurwB bochs-2.3.7.orig/iodev/iodebug.h bochs-2.3.7/iodev/iodebug.h
---- bochs-2.3.7.orig/iodev/iodebug.h	2008-05-01 22:46:58.000000000 +0200
-+++ bochs-2.3.7/iodev/iodebug.h	2008-06-04 14:45:50.000000000 +0200
-@@ -18,7 +18,7 @@
-   virtual void init(void);
-   virtual void reset (unsigned type) {}
-   static void mem_write(BX_CPU_C *cpu, bx_phy_address addr, unsigned len, void *data);
--  static void mem_read(BX_CPU_C *cpu, bx_phy_addressu addr, unsigned len, void *data);
-+  static void mem_read(BX_CPU_C *cpu, bx_phy_address addr, unsigned len, void *data);
- 
- private:
-   static Bit32u read_handler(void *this_ptr, Bit32u address, unsigned io_len);
